#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2024-04-21
# File  : metrics/check_radius.py
#
#

from cmk.gui.i18n import _

from cmk.gui.plugins.metrics.utils import (
    metric_info,
    graph_info,
    perfometer_info
)

metric_info['radius_response_time'] = {
    'title': _('Response time'),
    'unit': 's',
    'color': '#9a52bf',
}

graph_info['check_radius_time'] = {
    'title': _('RADIUS request time'),
    'metrics': [
        ('radius_response_time', 'area'),
    ],
    'scalars': [
        ('radius_response_time:crit', _('Crit')),
        ('radius_response_time:warn', _('Warn')),
    ],
}

perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'radius_response_time',
    'half_value': 0.1,  # 100 ms
    'exponent': 2.0,
})
